function fish_prompt_git_settings --description 'Configure the git prompt'
    # Toggles
    #if not set -q __fish_git_prompt_showcolorhints
    #    set -g __fish_git_prompt_showcolorhints 1
    #end
    if not set -q __fish_git_prompt_showdirtystate
        set -g __fish_git_prompt_showdirtystate 1
    end
    if not set -q __fish_git_prompt_showstashstate
        set -g __fish_git_prompt_showstashstate 1
    end
    if not set -q __fish_git_prompt_showuntrackedfiles
        set -g __fish_git_prompt_showuntrackedfiles 1
    end
    if not set -q __fish_git_prompt_showupstream
        set -g __fish_git_prompt_showupstream "none"
    end

    # Colors
    if not set -q __fish_git_prompt_color_branch
        set -g __fish_git_prompt_color_branch cyan
    end
    if not set -q __fish_git_prompt_color_dirtystate
        set -g __fish_git_prompt_color_dirtystate cyan
    end
    if not set -q __fish_git_prompt_color_invalidstate
        set -g __fish_git_prompt_color_invalidstate red
    end
    if not set -q __fish_git_prompt_color_stagedstate
        set -g __fish_git_prompt_color_stagedstate cyan
    end
    if not set -q __fish_git_prompt_color_stashstate
        set -g __fish_git_prompt_color_stashstate cyan
    end
    if not set -q __fish_git_prompt_color_untrackedfiles
        set -g __fish_git_prompt_color_untrackedfiles cyan
    end
end
